<?php
/**
 * config.php
 *
 * おもしろスクリプトの設定ファイルです。
 * bbs.phpと同じ階層にconfig.phpとして保存してください。
 */
$bbs_conf_base = [
    /* テンプレートファイルのパス */
    'tpl_pass' => 'tpl/tpl.html',

    /* フォロー投稿用テンプレートファイルのパス */

    /* テンプレートエンジンDIVのパス */
    'div_pass' => 'div/div.php',

    /* 掲示板のパス */
    'bbs_url' => 'bbs.php',

    /* ログファイルのパス */
    'log_pass' => 'log.dat',

    /* カウンターファイルパス */
    'counter_pass' => 'count.txt',
];
$bbs_conf_for_bbs = [
    /* 掲示板のタイトル */
    'bbs_title' => 'おもしろわーるど',

    /* 掲示板の作成日 */
    'bbs_birth' => '2019-05-04',

    /* クッキーを使用するか */
    'use_cookie' => true,

    /* クッキーを保存する秒数(デフォルトは90日) */
    'save_cookie_time' => (90)*60*60*24,

    /* デフォルトの表示件数 */
    'default_lines' => 30,

    /* 保存する最大件数 */
    'max_lines' => 500,

    /* 投稿できる最大Byte数(全角1文字2Byte) */
    'max_p_article' => (500)*2,

    /* リファラーチェックをするか */
    'check_referer' => true,

    /* ipを保存するか */
    'save_ip' => true,

    /* 掲示板側のHost名 */
    'bbs_host' => 'links.vsw.jp',

    /* リンク行のHTML */
    'link_line' => '|<a href="kouhou.html">広報室</a>|',

    /* アクセスを制限された場合のメッセージ(エスケープされない) */
    'ban_msg' => 'かわいそう',

    /* アクセスを制限するip */
    'ban_ip' => [
        /*  'ip' => true,のような形。尚、trueの部分は全く関係ない。
            falseにしても弾かれる。ただ単に高速化のため。
        ex)
            '192.168.0.3' => true,  */


        /* 以下スパム */
        '103.102.46.105' => true,
        '103.122.23.231' => true,
        '103.42.213.176' => true,
        '104.237.253.196' => true,
        '104.238.118.249' => true,
        '104.238.97.230' => true,
        '104.248.123.136' => true,
        '104.248.239.195' => true,
        '107.175.63.241' => true,
        '107.191.52.204' => true,
        '109.162.121.117' => true,
        '109.162.121.41' => true,
        '110.49.101.58' => true,
        '111.231.247.186' => true,
        '112.73.6.254' => true,
        '113.53.230.162' => true,
        '114.95.89.246' => true,
        '118.139.181.248' => true,
        '118.24.36.178' => true,
        '118.31.229.46' => true,
        '118.89.177.211' => true,
        '118.89.216.43' => true,
        '120.78.171.166' => true,
        '121.148.214.32' => true,
        '12.162.84.9' => true,
        '121.226.188.122' => true,
        '12.235.237.179' => true,
        '128.140.225.49' => true,
        '132.148.130.46' => true,
        '139.162.116.233' => true,
        '139.180.211.20' => true,
        '142.93.96.177' => true,
        '144.202.94.44' => true,
        '144.76.44.75' => true,
        '146.185.223.203' => true,
        '148.72.209.6' => true,
        '150.109.55.190' => true,
        '154.87.1.240' => true,
        '157.230.101.76' => true,
        '157.230.227.116' => true,
        '157.230.140.12' => true,
        '157.230.157.60' => true,
        '157.230.210.133' => true,
        '157.230.57.151' => true,
        '162.144.67.170' => true,
        '166.62.80.198' => true,
        '166.62.84.121' => true,
        '166.62.85.232' => true,
        '167.114.153.18' => true,
        '167.86.97.101' => true,
        '171.255.192.118' => true,
        '173.165.202.131' => true,
        '174.75.238.76' => true,
        '181.214.37.206' => true,
        '183.166.170.145' => true,
        '184.174.72.212' => true,
        '184.185.2.146' => true,
        '184.60.76.241' => true,
        '185.101.70.214' => true,
        '185.162.235.177' => true,
        '185.225.105.124' => true,
        '185.252.144.150' => true,
        '185.252.144.188' => true,
        '185.85.118.67' => true,
        '188.166.119.186' => true,
        '188.166.86.173' => true,
        '188.68.3.72' => true,

        // 192.169.xxx.xx?
        '192.169.140.100' => true, '192.169.140.74' => true, '192.169.156.211' => true,
        '192.169.188.100' => true, '192.169.188.105' => true, '192.169.197.146' => true,
        '192.169.198.104' => true, '192.169.202.104' => true, '192.169.218.61' => true,
        '192.169.249.49' => true, '192.169.249.80' => true, '192.169.250.203' => true,

        '192.99.32.199' => true,
        '193.112.123.136' => true,
        '193.112.184.197' => true,
        '193.112.191.253' => true,
        '193.112.212.2' => true,
        '193.248.36.234' => true,
        '194.167.44.91' => true,
        '195.114.136.201' => true,

        // 195.154.222.xx;spam
        '195.154.222.29' => true, '195.154.222.31' => true,

        '197.216.2.126' => true,
        '197.245.233.205' => true,
        '198.1.120.123' => true,

        '200.255.122.174' => true,
        '202.120.79.103' => true,
        '202.146.211.236' => true,
        '202.67.93.84' => true,
        '203.106.93.2' => true,
        '208.118.168.21' => true,
        '208.97.31.229' => true,
        '211.159.158.94' => true,
        '211.24.105.152' => true,
        '213.152.162.170' => true,
        '216.144.230.233' => true,
        '216.196.160.219' => true,
        '217.19.158.2' => true,
        '222.180.149.94' => true,
        '223.19.141.26' => true,
        '2.234.226.32' => true,
        '24.224.216.187' => true,
        '24.237.187.66' => true,

        '3.80.162.23' => true,
        '31.129.235.159' => true,

        // 31.184.238.xx?;spam
        '31.184.238.151' => true, '31.184.238.177' => true, '31.184.238.87' => true,

        '35.194.146.104' => true,
        '36.66.254.115' => true,
        '37.115.114.228' => true,
        '37.115.192.18' => true,
        '37.115.206.78' => true,
        '37.115.207.89' => true,
        '37.115.211.162' => true,
        '37.229.205.136' => true,

        '40.71.204.114' => true,
        '42.51.13.90' => true,
        '45.55.46.222' => true,
        '45.64.157.171' => true,
        '45.78.30.37' => true,
        '46.119.4.212' => true,
        '47.240.35.181' => true,
        '46.17.7.87' => true,
        '49.140.252.96' => true,

        '50.201.133.85' => true,
        '50.62.35.107' => true,
        '50.62.35.225' => true,
        '50.63.13.254' => true,

        // 5.101.218.xxx;spam
        '5.101.218.182' => true, '5.101.218.199' => true,

        '5.135.188.179' => true,
        '5.188.210.27' => true,
        '5.188.210.5' => true,
        '5.188.210.61' => true,
        '5.188.210.71' => true,

        // 5.188.211.xx;spam
        '5.188.211.10' => true, '5.188.211.13' => true, '5.188.211.14' => true,
        '5.188.211.15' => true, '5.188.211.16' => true, '5.188.211.21' => true,
        '5.188.211.22' => true, '5.188.211.24' => true, '5.188.211.26' => true,
        '5.188.211.35' => true, '5.188.211.72' => true,
        
        '51.38.123.195' => true,

        '5.248.226.148' => true,
        '54.37.205.94' => true,
        '54.37.31.169' => true,
        '54.39.98.135' => true,
        '59.149.60.209' => true,
        '59.52.186.158' => true,

        '62.69.229.253' => true,
        '62.74.67.219' => true,
        '62.99.70.203' => true,
        '64.118.84.6' => true,
        '64.85.24.24' => true,
        '64.90.48.203' => true,
        '64.90.48.213' => true,
        '64.90.48.22' => true,
        '66.110.216.105' => true,
        '66.42.101.237' => true,
        '67.166.112.21' => true,
        '68.183.99.96' => true,
        '69.178.225.58' => true,

        '70.166.38.71' => true,
        '72.49.49.11' => true,
        '74.131.159.96' => true,
        '75.138.213.51' => true,
        '76.198.232.235' => true,
        '77.158.55.226' => true,
        '77.28.96.196' => true,
        '78.189.127.90' => true,

        '80.15.144.222' => true,
        '81.209.195.130' => true,
        '85.219.12.80' => true,
        '88.81.72.240' => true,

        // 91.200.12.x??;spam
        '91.200.12.7' => true, '91.200.12.106' => true, '91.200.12.63' => true, '91.200.12.233' => true,

        '92.27.20.79' => true,
        '95.128.144.1' => true,
        '95.179.250.64' => true,
        '96.44.183.149' => true,
        '98.143.145.29' => true,
    ],
];